# Type alias ConstructorParams

ConstructorParams: {
content: Uint8Array;
crypto: Crypto.Implementation;
depot: Depot.Implementation;
header: PrivateFileInfo;
key: Uint8Array;
mmpt: default;
}

#### Type declaration

- ##### content: Uint8Array

- ##### crypto: Crypto.Implementation

- ##### depot: Depot.Implementation

- ##### header: PrivateFileInfo

- ##### key: Uint8Array

- ##### mmpt: default

- Defined in fs/v1/PrivateFile.ts:24

Generated using TypeDoc